Subject: Re: bug#12153: 24.1.50; vc-checkin fails when buffers of files doesn't exist.

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 15 Jul 2021 22:44:52 +0200

Thierry Volpiatto <[email-masked]> writes:

> trying to use `vc-checkin' from lisp, I found that it is not usable when
> the buffers of the files I want to commit are not present.

I tried reproducing this by making /tmp/vc, initialising it to Git, and
then saying:

(vc-checkin '("/tmp/vc/test") 'git)

And that seems to work for me (without having a buffer called "test").

Are you still seeing this issue in recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no